<!-- Copyright (c) 2026 defconxt. All rights reserved. -->
<!-- Licensed under AGPL-3.0 — see LICENSE file for details. -->
<!-- NERF is a trademark of defconxt. -->
# Performing Browser Exploitation — API Reference

## Agent Script

| Command | Description |
|---------|-------------|
| `analyze --browser <val> --component <val>` | Analyze browser component for vulnerabilities |
| `primitive --browser <val> --bug-type <val>` | Build exploitation primitive |
| `exploit --browser <val> --payload <val>` | Chain primitives for code execution |
| `report --browser <val> --format <val>` | Generate browser exploitation report |

## Parameters

| Parameter | Type | Required | Description |
|-----------|------|----------|-------------|
| `--browser` | string | Yes | Browser parameter |
| `--component` | string | Yes | Component parameter |
| `--bug-type` | string | Yes | Bug Type parameter |
| `--payload` | string | Yes | Payload parameter |
| `--format` | string | Yes | Format parameter |
